Package javax.help

# Class IndexItem

java.lang.Object
javax.help.TreeItem
javax.help.IndexItem

All Implemented Interfaces:
  `Serializable`

public class IndexItem extends TreeItem
A class for individual index items.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class javax.help.TreeItem

`COLLAPSE, DEFAULT_EXPANSION, EXPAND, locale`

## Constructor Summary

Constructors
Constructor
Description
`IndexItem()`
Create a default IndexItem.
`IndexItem(Map.ID id, Locale locale)`
Create an IndexItem defaulting the HelpSet to that of its ID.
`IndexItem(Map.ID id, HelpSet hs, Locale locale)`
Create an IndexItem.

## Method Summary

### Methods inherited from class javax.help.TreeItem

`getExpansionType, getHelpSet, getID, getLocale, getMergeType, getName, getPresentation, getPresentationName, getURL, setExpansionType, setHelpSet, setID, setMergeType, setName, setPresentation, setPresentationName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IndexItem

public IndexItem(Map.ID id, HelpSet hs, Locale locale)
Create an IndexItem.

Parameters:
  `id` - ID for the item. The ID can be null.
  `hs` - A HelpSet scoping this item.
  `locale` - The locale for this item

### IndexItem

public IndexItem(Map.ID id, Locale locale)
Create an IndexItem defaulting the HelpSet to that of its ID.

Parameters:
  `id` - ID for the item. The ID can be null.
  `locale` - The locale to use for this item.

### IndexItem

public IndexItem()
Create a default IndexItem.